How to move a complex object with view off?

Hi…,

I have here a customer, who wants to switch off the preview while moving a very complex object.

Is there a way, (e.g. in the move command ) just to pick the start point and then the end point, without the preview?

Thanks

Michael
www.flexiCAd.com

I think you might just need a small script… You can’t really macro it, as you need to start Move first, and once you use SetRedrawOff, you won’t be able to pick your two points after…

So maybe something like:

import rhinoscriptsyntax as rs

def MoveNoPreview():
    objs=rs.GetObjects("Select objects to move",preselect=True)
    if not objs: return
    
    msg1="Point to move from"
    msg2="Point to move to"
    pts=rs.GetPoints(True,message1=msg1,message2=msg2,max_points=2)
    if not pts or len(pts) !=2: return
    
    rs.EnableRedraw(False)
    rs.MoveObjects(objs,pts[1]-pts[0])
MoveNoPreview()

–Mitch

1 Like

Hi Mitch,

wow, this worked great in Rhino 6.

Thank you so much

Michael
www.flexiCAD.com

Hi @Helvetosaur, is there a way to use it with Orient3pt?